> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List previous versions of the blog

> Get the previous revisions of the settings for a specific blog.



## OpenAPI

````yaml specs/legacy/v2/blog-details-v2.json GET /content/api/v2/blogs/{blog_id}/versions
openapi: 3.0.1
info:
  title: HubSpot Blogs API v2
  description: >-
    Use the blogs API to retrieve information about the blogs in a HubSpot
    account.
  version: v2
  x-hubspot-product-tier: Marketing Hub
  x-hubspot-documentation-banner: Content API
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Blogs
    description: Blog configuration operations
paths:
  /content/api/v2/blogs/{blog_id}/versions:
    get:
      tags:
        - Blogs
      summary: List previous versions of the blog
      description: Get the previous revisions of the settings for a specific blog.
      operationId: listBlogVersions
      parameters:
        - name: blog_id
          in: path
          required: true
          description: The ID of the blog to get
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BlogVersion'
        default:
          $ref: '#/components/responses/Error'
      security:
        - oauth2_legacy: []
        - private_apps_legacy: []
components:
  schemas:
    BlogVersion:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: The version ID
        object:
          $ref: '#/components/schemas/Blog'
        updated_at:
          type: integer
          format: int64
          description: When this version was created
        user:
          type: object
          properties:
            id:
              type: integer
            email:
              type: string
            username:
              type: string
            full_name:
              type: string
          description: User who created this version
    Blog:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: The unique id of the blog
        portal_id:
          type: integer
          description: The hub id
        name:
          type: string
          description: The internal name of the blog
        label:
          type: string
          description: The display label of the blog
        public_title:
          type: string
          description: The header of the blog
        html_title:
          type: string
          description: >-
            The title in the <title> attribute of the page, shows up in the
            browsers title bar and as the title in Google search results
        description:
          type: string
          description: The blog description
        slug:
          type: string
          description: >-
            The path of the URL on which the blog will live. Changing this will
            change the URL.
        root_url:
          type: string
          description: The full URL with domain and scheme to the blog
        absolute_url:
          type: string
          description: The absolute URL to the blog
        url_base:
          type: string
          description: The base URL for the blog
        domain:
          type: string
          description: The domain for the blog
        resolved_domain:
          type: string
          description: The resolved domain for the blog
        live_domain:
          type: string
          description: The live domain for the blog
        domain_when_published:
          type: string
          description: The domain when the blog was published
        created:
          type: integer
          format: int64
          description: When the blog was first created, in milliseconds since the epoch
        created_date_time:
          type: integer
          format: int64
          description: When the blog was first created, in milliseconds since the epoch
        updated:
          type: integer
          format: int64
          description: When the blog was last updated, in milliseconds since the epoch
        updated_date_time:
          type: integer
          format: int64
          description: When the blog was last updated, in milliseconds since the epoch
        deleted_at:
          type: integer
          format: int64
          description: >-
            When the blog was deleted, in milliseconds since the epoch. Zero if
            the blog was never deleted. Use a DELETE request to delete the blog,
            do not set this directly.
        allow_comments:
          type: boolean
          description: Are comments enabled for the blog
        comment_moderation:
          type: boolean
          description: Whether comment moderation is enabled
        comment_should_create_contact:
          type: boolean
          description: Whether commenting should create a contact
        comment_verification_text:
          type: string
          description: Text shown for comment verification
        comment_date_format:
          type: string
          description: Date format for comments
        comment_form_guid:
          type: string
          description: GUID for the comment form
        comment_max_thread_depth:
          type: integer
          description: Maximum thread depth for comments
        comment_notification_emails:
          type: array
          items:
            type: string
          description: Email addresses to notify of new comments
        close_comments_older:
          type: integer
          description: Close comments on posts older than this many days
        captcha_always:
          type: boolean
          description: Always require captcha for comments
        captcha_after_days:
          type: integer
          description: Require captcha after this many days
        posts_per_listing_page:
          type: integer
          description: Number of posts per listing page
        posts_per_rss_feed:
          type: integer
          description: Number of posts in RSS feed
        show_summary_in_listing:
          type: boolean
          description: Show post summary in listing
        show_summary_in_emails:
          type: boolean
          description: Show post summary in emails
        show_summary_in_rss:
          type: boolean
          description: Show post summary in RSS
        use_featured_image_in_summary:
          type: boolean
          description: Use featured image in summary
        show_social_link_twitter:
          type: boolean
          description: Show Twitter social link
        show_social_link_facebook:
          type: boolean
          description: Show Facebook social link
        show_social_link_linkedin:
          type: boolean
          description: Show LinkedIn social link
        social_account_twitter:
          type: string
          description: Twitter account for social sharing
        enable_social_auto_publishing:
          type: boolean
          description: Enable automatic social publishing
        html_head:
          type: string
          description: HTML content for the head section
        html_head_is_shared:
          type: boolean
          description: Whether HTML head is shared
        post_html_head:
          type: string
          description: HTML content for post head section
        html_footer:
          type: string
          description: HTML content for the footer
        html_footer_is_shared:
          type: boolean
          description: Whether HTML footer is shared
        post_html_footer:
          type: string
          description: HTML content for post footer
        html_keywords:
          type: array
          items:
            type: string
          description: HTML keywords for SEO
        attached_stylesheets:
          type: array
          items:
            type: string
          description: Attached stylesheet URLs
        item_layout_id:
          type: integer
          format: int64
          description: Layout ID for individual blog posts
        item_template_path:
          type: string
          description: Template path for individual blog posts
        item_template_is_shared:
          type: boolean
          description: Whether item template is shared
        listing_layout_id:
          type: integer
          format: int64
          description: Layout ID for blog listing
        listing_template_path:
          type: string
          description: Template path for blog listing
        uses_default_template:
          type: boolean
          description: Whether blog uses default template
        default_group_style_id:
          type: string
          description: Default group style ID
        category_id:
          type: integer
          description: Category ID
        cos_object_type:
          type: string
          description: COS object type
        analytics_page_id:
          type: integer
          format: int64
          description: Analytics page ID
        subscription_form_guid:
          type: string
          description: GUID for subscription form
        subscription_contacts_property:
          type: string
          description: Property for subscription contacts
        subscription_lists_by_type:
          type: object
          properties:
            instant:
              type: integer
            daily:
              type: integer
            weekly:
              type: integer
            monthly:
              type: integer
          description: Subscription list IDs by type
        email_api_subscription_id:
          type: integer
          description: Email API subscription ID
        instant_notification_email_id:
          type: string
          description: Instant notification email ID
        daily_notification_email_id:
          type: string
          description: Daily notification email ID
        weekly_notification_email_id:
          type: string
          description: Weekly notification email ID
        monthly_notification_email_id:
          type: string
          description: Monthly notification email ID
        default_notification_from_name:
          type: string
          description: Default from name for notifications
        default_notification_reply_to:
          type: string
          description: Default reply-to for notifications
        publish_date_format:
          type: string
          description: Date format for publishing
        month_filter_format:
          type: string
          description: Format for month filter
        url_segments:
          type: object
          properties:
            all:
              type: string
            archive:
              type: string
            author:
              type: string
            page:
              type: string
            tag:
              type: string
          description: URL segments configuration
        public_access_rules:
          type: array
          items:
            type: object
          description: Public access rules
        public_access_rules_enabled:
          type: boolean
          description: Whether public access rules are enabled
        enable_google_amp_output:
          type: boolean
          description: Enable Google AMP output
        amp_header_color:
          type: string
          description: AMP header color
        amp_header_background_color:
          type: string
          description: AMP header background color
        amp_header_font:
          type: string
          description: AMP header font
        amp_header_font_size:
          type: string
          description: AMP header font size
        amp_body_color:
          type: string
          description: AMP body color
        amp_body_font:
          type: string
          description: AMP body font
        amp_body_font_size:
          type: string
          description: AMP body font size
        amp_link_color:
          type: string
          description: AMP link color
        amp_logo_src:
          type: string
          description: AMP logo source URL
        amp_logo_alt:
          type: string
          description: AMP logo alt text
        amp_logo_width:
          type: integer
          description: AMP logo width
        amp_logo_height:
          type: integer
          description: AMP logo height
        amp_custom_css:
          type: string
          description: AMP custom CSS
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
        correlationId:
          type: string
          description: >-
            A unique identifier for the request. Include this value with any
            error reports or support tickets
        category:
          type: string
          description: The error category
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of link names to associated URIs containing documentation
            about the error or recommended remediation steps
  responses:
    Error:
      description: An error occurred.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2_legacy:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.hubspot.com/oauth/authorize
          tokenUrl: https://api.hubapi.com/oauth/v1/token
          scopes: {}
    private_apps_legacy:
      type: apiKey
      name: private-app-legacy
      in: header

````